Support » Plugin: WordPress Gallery Plugin - NextGEN Gallery » AMP pages are invalid

  • Hi,
    I have a problem with your plugin.
    all the pages of my site in AMP version are not valid only if I activate the NextGEN Gallery.

    They are normal pages, without your gallery.

    Do you have any ideas?

    The only solution I found is to add this:
    add_filter( 'run_ngg_resource_manager', '__return_false' );

    but I don’t know what consequences it may have :S

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Support gabyimagely

    (@gabyimagely)

    We have already started a conversation about NextGen Gallery’s AMP compatibility. We want to take a look at your site if it’s possible.
    We may need to deactivate plugins and switch the theme while troubleshooting temporarily. Would you feel OK with that? If so, please send us a bug report here: http://www.imagely.com/report-bug, refer back to this forum thread and let them know Gaby referred you.

    Do not forget to add your forum link.
    Note: if possible include this code: NGG-349

    Thanks!

    Josh

    (@joshspires)

    Hi, there is another work around that doesn’t require changing themes etc. One of the AMP developers have created a compatibility plugin. Fixed my issue and now works great. I added the affected code back into my website via the Glue for Yoast SEO & AMP plugin.

    For reference the affected code is the following:

    <style>
    .wp-block-gallery.is-cropped .blocks-gallery-item amp-img > img {
    	object-fit: cover;
    }
    </style>
    Plugin Support gabyimagely

    (@gabyimagely)

    Thank you so much @joshspires

    We have updated the bug report’s notes to have this as an optional workaround. We are really grateful for this feedback from the WordPress community.
    Have an amazing weekend!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘AMP pages are invalid’ is closed to new replies.